# GstMeta for RTP

## GstRTPSourceMeta

Meta describing the source(s) of the buffer.

### Members

`meta` (GstMeta) –

parent GstMeta

`ssrc` (guint32) –

the SSRC

`ssrc_valid` (gboolean) –

whether ssrc is set and valid

`csrc` (guint32 *) –

pointer to the CSRCs

`csrc_count` (guint) –

number of elements in csrc

Since : 1.16

## GstRtp.RTPSourceMeta

Meta describing the source(s) of the buffer.

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`ssrc` (Number) –

the SSRC

`ssrc_valid` (Number) –

whether ssrc is set and valid

`csrc` ([ Number ]) –

pointer to the CSRCs

`csrc_count` (Number) –

number of elements in csrc

Since : 1.16

## GstRtp.RTPSourceMeta

Meta describing the source(s) of the buffer.

### Members

`meta` (Gst.Meta) –

parent Gst.Meta

`ssrc` (int) –

the SSRC

`ssrc_valid` (bool) –

whether ssrc is set and valid

`csrc` ([ int ]) –

pointer to the CSRCs

`csrc_count` (int) –

number of elements in csrc

Since : 1.16

### Methods

#### gst_rtp_source_meta_append_csrc

    gboolean
    gst_rtp_source_meta_append_csrc (GstRTPSourceMeta * meta,
                                     const guint32 * csrc,
                                     guint csrc_count)

Appends csrc to the list of contributing sources in meta.

Parameters:

`meta` –

a GstRTPSourceMeta

`csrc` ( [array length=csrc_count]) –

the csrcs to append

`csrc_count` –

number of elements in csrc

Returns –

TRUE if all elements in csrc was added, FALSE otherwise.

Since : 1.16

#### GstRtp.RTPSourceMeta.prototype.append_csrc

    function GstRtp.RTPSourceMeta.prototype.append_csrc(csrc: [ Number ], csrc_count: Number): {
        // javascript wrapper for 'gst_rtp_source_meta_append_csrc'
    }

Appends csrc to the list of contributing sources in meta.

Parameters:

`meta` (GstRtp.RTPSourceMeta) –

a GstRtp.RTPSourceMeta

`csrc` ([ Number ]) –

the csrcs to append

`csrc_count` (Number) –

number of elements in csrc

Returns (Number) –

true if all elements in csrc was added, false otherwise.

Since : 1.16

#### GstRtp.RTPSourceMeta.append_csrc

    def GstRtp.RTPSourceMeta.append_csrc (self, csrc, csrc_count):
        #python wrapper for 'gst_rtp_source_meta_append_csrc'

Appends csrc to the list of contributing sources in meta.

Parameters:

`meta` (GstRtp.RTPSourceMeta) –

a GstRtp.RTPSourceMeta

`csrc` ([ int ]) –

the csrcs to append

`csrc_count` (int) –

number of elements in csrc

Returns (bool) –

True if all elements in csrc was added, False otherwise.

Since : 1.16

#### gst_rtp_source_meta_get_source_count

    guint
    gst_rtp_source_meta_get_source_count (const GstRTPSourceMeta * meta)

Count the total number of RTP sources found in meta, both SSRC and CSRC.

Parameters:

`meta` –

a GstRTPSourceMeta

Returns –

The number of RTP sources

Since : 1.16

#### GstRtp.RTPSourceMeta.prototype.get_source_count

    function GstRtp.RTPSourceMeta.prototype.get_source_count(): {
        // javascript wrapper for 'gst_rtp_source_meta_get_source_count'
    }

Count the total number of RTP sources found in meta, both SSRC and CSRC.

Parameters:

`meta` (GstRtp.RTPSourceMeta) –

a GstRtp.RTPSourceMeta

Returns (Number) –

The number of RTP sources

Since : 1.16

#### GstRtp.RTPSourceMeta.get_source_count

    def GstRtp.RTPSourceMeta.get_source_count (self):
        #python wrapper for 'gst_rtp_source_meta_get_source_count'

Count the total number of RTP sources found in meta, both SSRC and CSRC.

Parameters:

`meta` (GstRtp.RTPSourceMeta) –

a GstRtp.RTPSourceMeta

Returns (int) –

The number of RTP sources

Since : 1.16

#### gst_rtp_source_meta_set_ssrc

    gboolean
    gst_rtp_source_meta_set_ssrc (GstRTPSourceMeta * meta,
                                  guint32 * ssrc)

Sets ssrc in meta. If ssrc is NULL the ssrc of meta will be unset.

Parameters:

`meta` –

a GstRTPSourceMeta

`ssrc` ( [nullable][transfer: none]) –

pointer to the SSRC

Returns –

TRUE on success, FALSE otherwise.

Since : 1.16

#### GstRtp.RTPSourceMeta.prototype.set_ssrc

    function GstRtp.RTPSourceMeta.prototype.set_ssrc(ssrc: Number): {
        // javascript wrapper for 'gst_rtp_source_meta_set_ssrc'
    }

Sets ssrc in meta. If ssrc is null the ssrc of meta will be unset.

Parameters:

`meta` (GstRtp.RTPSourceMeta) –

a GstRtp.RTPSourceMeta

`ssrc` (Number) –

pointer to the SSRC

Returns (Number) –

true on success, false otherwise.

Since : 1.16

#### GstRtp.RTPSourceMeta.set_ssrc

    def GstRtp.RTPSourceMeta.set_ssrc (self, ssrc):
        #python wrapper for 'gst_rtp_source_meta_set_ssrc'

Sets ssrc in meta. If ssrc is None the ssrc of meta will be unset.

Parameters:

`meta` (GstRtp.RTPSourceMeta) –

a GstRtp.RTPSourceMeta

`ssrc` (int) –

pointer to the SSRC

Returns (bool) –

True on success, False otherwise.

Since : 1.16

### Functions

#### gst_rtp_source_meta_get_info

    const GstMetaInfo *
    gst_rtp_source_meta_get_info ()

Returns –
No description available

#### GstRtp.RTPSourceMeta.prototype.get_info

    function GstRtp.RTPSourceMeta.prototype.get_info(): {
        // javascript wrapper for 'gst_rtp_source_meta_get_info'
    }

Returns (Gst.MetaInfo) –
No description available

#### GstRtp.RTPSourceMeta.get_info

    def GstRtp.RTPSourceMeta.get_info ():
        #python wrapper for 'gst_rtp_source_meta_get_info'

Returns (Gst.MetaInfo) –
No description available

## Functions

### gst_buffer_add_rtp_source_meta

    GstRTPSourceMeta *
    gst_buffer_add_rtp_source_meta (GstBuffer * buffer,
                                    const guint32 * ssrc,
                                    const guint32 * csrc,
                                    guint csrc_count)

Attaches RTP source information to buffer.

Parameters:

`buffer` –

a GstBuffer

`ssrc` ( [nullable][transfer: none]) –

pointer to the SSRC

`csrc` ( [nullable][transfer: none][array length=csrc_count]) –

pointer to the CSRCs

`csrc_count` –

number of elements in csrc

Returns ( [transfer: none]) –

the GstRTPSourceMeta on buffer.

Since : 1.16

### GstRtp.prototype.buffer_add_rtp_source_meta

    function GstRtp.prototype.buffer_add_rtp_source_meta(buffer: Gst.Buffer, ssrc: Number, csrc: [ Number ], csrc_count: Number): {
        // javascript wrapper for 'gst_buffer_add_rtp_source_meta'
    }

Attaches RTP source information to buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`ssrc` (Number) –

pointer to the SSRC

`csrc` ([ Number ]) –

pointer to the CSRCs

`csrc_count` (Number) –

number of elements in csrc

Returns (GstRtp.RTPSourceMeta) –

the GstRtp.RTPSourceMeta on buffer.

Since : 1.16

### GstRtp.buffer_add_rtp_source_meta

    def GstRtp.buffer_add_rtp_source_meta (buffer, ssrc, csrc, csrc_count):
        #python wrapper for 'gst_buffer_add_rtp_source_meta'

Attaches RTP source information to buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

`ssrc` (int) –

pointer to the SSRC

`csrc` ([ int ]) –

pointer to the CSRCs

`csrc_count` (int) –

number of elements in csrc

Returns (GstRtp.RTPSourceMeta) –

the GstRtp.RTPSourceMeta on buffer.

Since : 1.16

### gst_buffer_get_rtp_source_meta

    GstRTPSourceMeta *
    gst_buffer_get_rtp_source_meta (GstBuffer * buffer)

Find the GstRTPSourceMeta on buffer.

Parameters:

`buffer` –

a GstBuffer

Returns ( [transfer: none][nullable]) –

the GstRTPSourceMeta or NULL when there is no such metadata on buffer.

Since : 1.16

### GstRtp.prototype.buffer_get_rtp_source_meta

    function GstRtp.prototype.buffer_get_rtp_source_meta(buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_get_rtp_source_meta'
    }

Find the GstRtp.RTPSourceMeta on buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstRtp.RTPSourceMeta) –

the GstRtp.RTPSourceMeta or null when there is no such metadata on buffer.

Since : 1.16

### GstRtp.buffer_get_rtp_source_meta

    def GstRtp.buffer_get_rtp_source_meta (buffer):
        #python wrapper for 'gst_buffer_get_rtp_source_meta'

Find the GstRtp.RTPSourceMeta on buffer.

Parameters:

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstRtp.RTPSourceMeta) –

the GstRtp.RTPSourceMeta or None when there is no such metadata on buffer.

Since : 1.16

### gst_rtp_source_meta_api_get_type

    GType
    gst_rtp_source_meta_api_get_type ()

Returns –
No description available

### GstRtp.prototype.rtp_source_meta_api_get_type

    function GstRtp.prototype.rtp_source_meta_api_get_type(): {
        // javascript wrapper for 'gst_rtp_source_meta_api_get_type'
    }

Returns (GObject.Type) –
No description available

### GstRtp.rtp_source_meta_api_get_type

    def GstRtp.rtp_source_meta_api_get_type ():
        #python wrapper for 'gst_rtp_source_meta_api_get_type'

Returns (GObject.Type) –
No description available

## Constants

### GST_RTP_SOURCE_META_API_TYPE

    #define GST_RTP_SOURCE_META_API_TYPE  (gst_rtp_source_meta_api_get_type())

### GST_RTP_SOURCE_META_INFO

    #define GST_RTP_SOURCE_META_INFO  (gst_rtp_source_meta_get_info())

### GST_RTP_SOURCE_META_MAX_CSRC_COUNT

    #define GST_RTP_SOURCE_META_MAX_CSRC_COUNT 15

### GstRtp.RTP_SOURCE_META_MAX_CSRC_COUNT

The results of the search are